# 65.2. Built-in Operator Classes

The core PostgreSQL distribution includes the SP-GiST operator classes shown in [Table 63.1](https://www.postgresql.org/docs/10/static/spgist-builtin-opclasses.html#SPGIST-BUILTIN-OPCLASSES-TABLE).

#### **Table 63.1. Built-in SP-GiST Operator Classes**

| Name             | Indexed Data Type | Indexable Operators                                                 |
| ---------------- | ----------------- | ------------------------------------------------------------------- |
| `kd_point_ops`   | `point`           | `<<` `<@` `<^` `>>` `>^` `~=`                                       |
| `quad_point_ops` | `point`           | `<<` `<@` `<^` `>>` `>^` `~=`                                       |
| `range_ops`      | any range type    | `&&` `&<` `&>` `-\|-` `<<` `<@` `=` `>>` `@>`                       |
| `box_ops`        | `box`             | `<<` `&<` `&&` `&>` `>>` `~=` `@>` `<@` `&<\|` `<<\|` `\|>>` `\|&>` |
| `text_ops`       | `text`            | `<` `<=` `=` `>` `>=` `~<=~` `~<~` `~>=~` `~>~`                     |
| `inet_ops`       | `inet`, `cidr`    | `&&` `>>` `>>=` `>` `>=` `<>` `<<` `<<=` `<` `<=` `=`               |

Of the two operator classes for type `point`, `quad_point_ops` is the default. `kd_point_ops` supports the same operators but uses a different index data structure which may offer better performance in some applications.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.postgresql.tw/internals/sp-gist-indexes/built-in-operator-classes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
